List Hub Discussions Anon
curl --request GET \
--url https://api.member.dev/api/v1/hubs/{hub_id}/public/discussions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/public/discussions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/public/discussions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"author_display_name": "<string>",
"author_photo_thumbnail_url": "<string>",
"author_photo_url": "<string>",
"body": "<string>",
"comment_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"is_locked": true,
"is_pinned": true,
"published_at": "2023-11-07T05:31:56Z",
"reaction_count": 123,
"reactions": [
{
"count": 123,
"emoji": "<string>"
}
],
"space_name": "<string>",
"space_slug": "<string>",
"title": "<string>",
"poll": {
"closed": true,
"deadline_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"options": [
{
"id": "<string>",
"label": "<string>",
"position": 123
}
],
"total_votes": 123
},
"repost": {
"author_display_name": "<string>",
"author_photo_thumbnail_url": "<string>",
"author_photo_url": "<string>",
"body": "<string>",
"id": "<string>",
"published_at": "<string>",
"space_name": "<string>",
"space_slug": "<string>",
"title": "<string>"
},
"repost_count": 0
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
}
],
"included": [
"<unknown>"
],
"links": {
"next": "<string>",
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}community-anon
List Hub Discussions Anon
Hub-wide feed of published discussions across public spaces, sanitized.
GET
/
api
/
v1
/
hubs
/
{hub_id}
/
public
/
discussions
List Hub Discussions Anon
Authorizations
Send platform JWTs, contact JWTs, or team API keys as Authorization: Bearer <token>.
Path Parameters
⌘I